## org.eclipse.emf.spi.cdo
Class CDOSessionProtocol.OpenSessionResult

    java.lang.Object
      org.eclipse.emf.spi.cdo.CDOSessionProtocol.OpenSessionResult

Enclosing interface:
  CDOSessionProtocol

    public static final class CDOSessionProtocol.OpenSessionResult

extends java.lang.Object

Constructor Summary
`CDOSessionProtocol.OpenSessionResult(int sessionID, java.lang.String repositoryUUID, long repositoryCreationTime, boolean repositorySupportingAudits, CDOIDLibraryDescriptor libraryDescriptor)`

Method Summary
`CDOIDLibraryDescriptor` `getLibraryDescriptor()`
`java.util.List<InternalCDOPackageUnit>` `getPackageUnits()`
`long` `getRepositoryCreationTime()`
`CDOSessionProtocol.RepositoryTimeResult` `getRepositoryTimeResult()`
`java.lang.String` `getRepositoryUUID()`
`int` `getSessionID()`
`boolean` `isRepositorySupportingAudits()`
`void` `setRepositoryTimeResult(CDOSessionProtocol.RepositoryTimeResult repositoryTimeResult)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDOSessionProtocol.OpenSessionResult

    public CDOSessionProtocol.OpenSessionResult(int sessionID,
                                                java.lang.String repositoryUUID,
                                                long repositoryCreationTime,
                                                boolean repositorySupportingAudits,
                                                CDOIDLibraryDescriptor libraryDescriptor)

Method Detail

### getSessionID

    public int getSessionID()

### getRepositoryUUID

    public java.lang.String getRepositoryUUID()

### getRepositoryCreationTime

    public long getRepositoryCreationTime()

### isRepositorySupportingAudits

    public boolean isRepositorySupportingAudits()

### getRepositoryTimeResult

    public CDOSessionProtocol.RepositoryTimeResult getRepositoryTimeResult()

### setRepositoryTimeResult

    public void setRepositoryTimeResult(CDOSessionProtocol.RepositoryTimeResult repositoryTimeResult)

### getLibraryDescriptor

    public CDOIDLibraryDescriptor getLibraryDescriptor()

### getPackageUnits

    public java.util.List<InternalCDOPackageUnit> getPackageUnits()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.